#include <iostream>

using namespace std;
int pom(double k){
    if((int)k==k){
        return k;
    }
    else return (int)k+1;
}
int main()
{
    int p,q,r;
    cin>>p;
    cin>>q;
    cin>>r;
    double i;
    int kap;
    cin>>i;
    cin>>kap;
    int rez=0;
    for(;i<=kap;i++){
        if(i<pom(i/p)){}
        else if(i<pom(i/p)+pom(i/q)){}
        else if(i<pom(i/p)+pom(i/q)+pom(i/r)){}
        else rez++;
    }
    return 0;
}